-- Print Unicode zero-terminated string
-- (c) FSC, 2007

--
-- note that Len is in bytes, not in wide chars
--
local Len, Found = UnicodeStringLength()

if not Found then BlockComment("\r\nCouldn't find terminating zero\r\n\Displaying the rest of the file\r\n\r\n", true) end

if Len == 0 then
    BlockComment("\r\n\String is empty\r\n\r\n")
else
    PrintNumber(StringFromUnicode(ReadBytes(Len).Data))
end
